button {
  text-align: center;
  font-family: iranSans;
  background-color: #fff;
  font-size: $text-size-sm;
  cursor: pointer;
}

a {
  width: 30px;
  height: 30px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin-right: 10px;
  i {
    font-size: $text-size-sm + 2;
  }
}

button.mat-icon-button {
  width: 25px;
  height: 25px;
  line-height: 25px;
  cursor: pointer;
  opacity: 0.8;
}

button.mat-icon-button:hover {
  opacity: 1;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  button {
    font-size: $text-size-m;
  }

  a {
    width: 35px;
    height: 35px;

    i {
      font-size: $text-size-m + 2;
    }
  }

  button.mat-icon-button {
    width: 30px;
    height: 30px;
    line-height: 30px;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  button {
    font-size: $text-size-lg;
  }

  a {
    width: 40px;
    height: 40px;

    i {
      font-size: $text-size-lg + 2;
    }
  }

  button.mat-icon-button {
    width: 35px;
    height: 35px;
    line-height: 35px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  button {
    font-size: $text-size-xlg;
  }

  a {
    width: 45px;
    height: 45px;

    i {
      font-size: $text-size-xlg + 2;
    }
  }

  button.mat-icon-button {
    width: 40px;
    height: 40px;
    line-height: 40px;
  }
}
@media screen and (min-width: 1200px) {
  button {
    font-size: $text-size-xlg;
  }

  a {
    width: 50px;
    height: 50px;

    i {
      font-size: $text-size-xlg + 2;
    }
  }

  button.mat-icon-button {
    width: 45px;
    height: 45px;
    line-height: 45px;
  }
}
